planning for ghc-6.10.1 and hackage

Duncan Coutts duncan.coutts at
Mon Oct 6 03:16:40 EDT 2008

On Wed, 2008-10-01 at 16:36 -0700, Duncan Coutts wrote:

> I propose two solutions:
>       * Fix the dependency resolver
>       * Add support in Cabal and Hackage for suggested version
>         constraints

> So I'll aim to work on both issues this week and report back on how
> things are going.


Four days and 15 patches later I can construct install plans for 710
packages from hackage using the darcs cabal-install and last nights
ghc-6.10. (It would be more like 730 but I've not got gtk2hs built for
6.10, for ghc-6.8 it's 743 packages)

The next step is to actually build everything and compare. We'll do this
tomorrow and report results. There are three combinations we are
interested in:

      * baseline: ghc-6.8 and Cabal-1.4
      * new Cabal: ghc-6.8 and Cabal-1.6
      * new ghc:  ghc-6.10 and Cabal-1.6

So we'll try building all 700+ packages all three ways and compare the
build reports. We'll report anything interesting that might indicate new
ghc bugs. If all looks ok I'll also release Cabal-1.6.


More information about the Glasgow-haskell-users mailing list